!-------------------------------------
! module containing derived type
! for 3-component real vector
!-------------------------------------
module rvec3_mod

  !---------------------------
  ! define precision
  !---------------------------
  use prec_mod, only: rk

  implicit none

  !---------------------------
  ! rvec3 derived type
  !---------------------------
  type rvec3
     integer :: nvals = 3
     real(rk), dimension(3) :: x
  end type rvec3

end module rvec3_mod
